Hi,

We would like to invite you to participate in the live online mirror contest of The 2024 ICPC Asia Pacific Championship next weekend. ICPC Asia Pacific Championship is a new playoff round introduced to the Asia Pacific region this year. It is the contest for top non-winning teams from all regional contests in the region to qualify to the World Finals. See the region rules and competition page for more details.

The official contest is scheduled to start at Saturday, 2 March 2024, 9am (UTC+7). The live online mirror contest is scheduled to start **only 5 minutes later**, to keep both contests run almost in sync. The contest is 5 hours long and consists of several problems.

Please note that we might have to postpone the live online mirror contest in case the official contest is delayed. This is to the ensure that the tasks are not available to the public until the official contest starts. The official contest will be livestreamed here and the scoreboard can be accessed here.

The contest will use ICPC-style scoring (same as the official contest) and will be unrated. You can participate as an individual or as a team, although as a team of three members is preferred.

See you on top of the leaderboard.

The 2024 ICPC Asia Pacific Championship Judges

**UPD1:** The official contest is postponed by (at least) 30 minutes, so the mirror contest is postponed similarly.

**UPD2:** The official contest is postponed by 20 minutes (instead of the originally announced 30 minutes) after its original schedule, but the mirror contest is still scheduled to start 30 minutes after its original schedule to avoid more confusion.

**UPD3:** The analysis is available here

Thank you for believing in us!

great

edited :)

Hope to become.a red coder after this round.

TPR NIGHT CHAMPIONSHIP

Good luck to every one.

Such a short and clear invitation. I hope problems statements be like this too!

I am unable to register as a team. How should I register?

first you need to create a team

How to solve problem L?

Intuitively guess the answer is something to do with the rank after doing xor gauss for every a[i] ^ a[j] (easy step: reduce it to a[1] ^ a[i]) and after getting WA by guessing 2^((n — 1) * rank) solve some cases by hand and guess the correct solution.

lol

Could we do it using persistent xor basis? basically just remove one element from the array and calculate the dimension of the basis and do it from i=1 to n.

Yes. https://mirror.codeforces.com/contest/1938/submission/249270923

Thanks!!!

Can you explain it to me? Thank you.

An interesting contest.

Participated as the leader of the team Ascending Shine.

But I used brute force to get Accepted on G.

I can't understand why it runs so fast. Can anyone prove it?

At each step of your first loop, you have a bunch of sets, and you want to find an element that appears in at least $$$k$$$ sets. If such an element exists, you find it and break (happens just one time). But if it does not exist, that means each element appears at most $$$k-1$$$ times in the sets. So the total size of the sets is at most $$$(k-1)n$$$, which you can afford to iterate over because $$$k$$$ is so small.

Can someone explain what I'm doing wrong in 1938J - There and Back Again? I'm getting WA on test 39.

Submission: 249265031

Try this test:

4 4

1 2 1

2 3 1

3 4 1

1 3 3

Thanks! Got it

Why we can't see the problem status (like other people's submissions)?

You should be able to now.

So clear invitation, I hope the problem statement is also clear!

Can someone tell me why WA on test 10 1938J — There and Back Again Submission：249312560

Submission：249312560

For the tutorial of 1938F-Forming Groups, the $$$O(\log n)$$$ part can be easily optimized to $$$O(1)$$$ by sliding window, which will lead to a solution with linear total time complexity. Submission: 249333012

For the 1938G-Personality Test, there exists a dp solution optimized by bitset in $$$O(n^2mk/w)$$$ running time. Submission: 249242158

For the 1938K-Tree Quiz, there exists a $$$O(n\log n)$$$ solution using persistent segment tree. Sumbission: 250024227

please allow to view other submissions

Done.

I believe you don't need the log factor in F.

I got last on this contest... MCU_NL, I'm gonna change my team name... I'm sorry about my country..

I got fever at that day, the first idea of H is get the sum of min, but I forget some issues: all of the smallest bit(0,1) are same.

and I got the law of prob C, but I couldn't change it to dp or math.

During contest, we were able to squeeze in a $$$\mathcal O(n \times d(n))$$$ solution for F only by optimizing most modulo operations and reimplement std::deque (which I am not sure it has any noticable effect), with maximum time around 4 seconds.

Too water!!!